Asset (Beta)

Upload file initialization

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

This step actually starts uploading the file. Send this request to the signed uploadUrl returned by Create upload url. This initializes a resumable (tus) upload. Any file namings have to be base64 encoded/decoded.
The response headers - in particular the Location header - are required for the next call, Upload file chunks.

The {uploadUrl} path parameter is a placeholder for the signed URL from the previous step.

post
https://{your-bynder-domain}/

Headers

tus-resumablestringrequired

Default:1.0.0

upload-lengthstringrequired

Total size of the file to upload, in bytes.

upload-metadatastringrequired

Comma-separated key <base64-value> pairs, e.g. filename ZXhhbXBsZS5wbmc=.

fileidstringrequired
filenamestringrequired
authorizationstringrequired
content-lengthstringrequired

Response

Upload initialized. Use the returned Location header for the chunk uploads.

post/
 

Create asset

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Creates an empty container, this is the first step to start the file upload and any asset enrichment.

post
https://{your-bynder-domain}/api/1/asset/assets

Body

application/json

CreateAssetInput

copyrightstring
descriptionstring
namestring
originstring
timeStampPublishedstring(date-time)

Response

application/json

Asset

activeVersionobject
Show Child Parameters
advancedRightsobject
Show Child Parameters
assetIdstring
assetStatusstring
copyrightstring
descriptionstring
embargosarray[object]
Show Child Parameters
moduleCodestring

Allowed values:BGBSIBWF

namestring
originstring
portalIdstring
timeStampCreatedstring(date-time)
timeStampModifiedstring(date-time)
timeStampPublishedstring(date-time)
userCreatedIdstring
userModifiedIdstring
post/api/1/asset/assets

Body

{}
 
application/json

Publish

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Once the file is fully enriched and ready it can be published. Depending on the profile permissions of the user, the asset will go directly to the asset bank (upload assets) or to the waiting room (upload assets with mandatory approval)

post
https://{your-bynder-domain}/api/1/asset/assets/{assetId}/publish

Path Parameters

assetIdstringrequired

Body

application/json

Optional publish options. If omitted, the asset is published with default settings (forcePublish = false).

PublishAssetInput

forcePublishboolean

When true, forces publication of the asset even if non-blocking validation warnings are present. Defaults to false.

Default:false

Response

application/json

Asset

activeVersionobject
Show Child Parameters
advancedRightsobject
Show Child Parameters
assetIdstring
assetStatusstring
copyrightstring
descriptionstring
embargosarray[object]
Show Child Parameters
moduleCodestring

Allowed values:BGBSIBWF

namestring
originstring
portalIdstring
timeStampCreatedstring(date-time)
timeStampModifiedstring(date-time)
timeStampPublishedstring(date-time)
userCreatedIdstring
userModifiedIdstring
post/api/1/asset/assets/{assetId}/publish

Body

{}
 
application/json

Create upload url

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

To start uploading a file as an asset, a signed upload url has to be created, which can be used to start uploading the file. Take the generated assetId from the previous {create Asset} as input in the path.

post
https://{your-bynder-domain}/api/1/asset/assets/{assetId}/upload-url

Path Parameters

assetIdstringrequired

Response

application/json

UploadUrl

storageObjectIdstring
uploadUrlstring
post/api/1/asset/assets/{assetId}/upload-url
 
application/json

Asset enrichment

Add or update metadata, metaproperties, tags, autotags, embargoes, advanced rights, and relations on an asset before (or after) publishing.

Note: This API is subject to change until it reaches GA. Activation of the API is on a request basis until GA.